require('packer').startup(function(use)
    use 'mbbill/undotree'
    use 'airblade/vim-rooter'
    use "rafamadriz/friendly-snippets"
    use 'ConradIrwin/vim-bracketed-paste'
    use 'Vimjas/vim-python-pep8-indent'
    use 'cappyzawa/trim.nvim'
    use 'christoomey/vim-tmux-navigator'
    use '~/.config/nvim/colorschemes/material'
    use 'editorconfig/editorconfig-vim'
    use 'ervandew/supertab'
    use 'ggandor/leap.nvim'
    use 'hrsh7th/cmp-buffer'
    use 'hrsh7th/cmp-cmdline'
    use 'hrsh7th/cmp-nvim-lsp'
    use 'hrsh7th/cmp-path'
    use 'hrsh7th/cmp-vsnip'
    use 'hrsh7th/nvim-cmp'
    use 'hrsh7th/vim-vsnip'
    use 'hrsh7th/vim-vsnip-integ'
    use "rktjmp/lush.nvim"
    use 'lervag/vimtex'
    use 'neovim/nvim-lspconfig'
    use 'numToStr/Comment.nvim'
    use 'octol/vim-cpp-enhanced-highlight'
    use 'prabirshrestha/asyncomplete-lsp.vim'
    use 'prabirshrestha/vim-lsp'
    use 'tmux-plugins/vim-tmux'
    use 'tmux-plugins/vim-tmux-focus-events'
    use 'vimwiki/vimwiki'
    use 'wbthomason/packer.nvim'
    use 'williamboman/nvim-lsp-installer'
    use 'windwp/nvim-autopairs'
    use { 'TimUntersberger/neogit', requires = 'nvim-lua/plenary.nvim' }
    use {'glacambre/firenvim', run = function() vim.fn['firenvim#install'](0) end}
    use {'nvim-lualine/lualine.nvim', requires = { 'kyazdani42/nvim-web-devicons', opt = true }}
    use {'nvim-telescope/telescope-fzf-native.nvim', run = 'cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release && cmake --build build --config Release && cmake --install build --prefix build'}
    use {'nvim-telescope/telescope.nvim', requires = {{'nvim-lua/plenary.nvim'}}}
    use {'nvim-treesitter/nvim-treesitter', run = ':TSUpdate'}
    use {
        "folke/trouble.nvim",
        requires = "kyazdani42/nvim-web-devicons",
        config = function() require("trouble").setup {} end
    }
    use {
        'kyazdani42/nvim-tree.lua',
        requires = {
            'kyazdani42/nvim-web-devicons', -- optional, for file icons
        },
        tag = 'nightly' -- optional, updated every week. (see issue #1193)
    }
end)
